<?php
/*
 * Disallow direct access
 */
if (!defined('ABSPATH')) {
    die('Forbidden.');
}
function atozshop_scripts()
{
    // enqueue parent style
    wp_enqueue_style('atozshop-parent-style', get_template_directory_uri() . '/style.css');
}
add_action('wp_enqueue_scripts', 'atozshop_scripts');

if (!function_exists('atozshop_excerpt_limit')) {
    function atozshop_excerpt_limit($length)
    {
        if (is_admin()) {
            return $length;
        }
        return 40;
    }
    add_filter('excerpt_length', 'atozshop_excerpt_limit');
}

/**
 * Registers pattern categories.
 *
 * @since atozshop 1.0.0
 *
 * @return void
 */
function atozshop_register_pattern_category()
{

    $patterns = array();

    $block_pattern_categories = array(
        'atozshop-patterns' => array('label' => __('Atozshop Patterns', 'atozshop'))
    );

    $block_pattern_categories = apply_filters('atozshop_block_pattern_categories', $block_pattern_categories);

    foreach ($block_pattern_categories as $name => $properties) {
        if (!WP_Block_Pattern_Categories_Registry::get_instance()->is_registered($name)) {
            register_block_pattern_category($name, $properties);
        }
    }
}
add_action('init', 'atozshop_register_pattern_category', 9);
